# ChannelVerifyRequest | xrpl
Documentation for xrpl

# Interface ChannelVerifyRequest

The `channel_verify` method checks the validity of a signature that can be used to redeem a specific amount of XRP from a payment channel. Expects a response in the form of a ChannelVerifyResponse.

#### Hierarchy

- BaseRequest
  - ChannelVerifyRequest

- Defined in packages/xrpl/src/models/methods/channelVerify.ts:10

#####
Index

### Properties

amount
api_version?
channel_id
command
id?
public_key
signature

## Properties

### amount

amount: string

The amount of XRP, in drops, the provided signature authorizes.

- Defined in packages/xrpl/src/models/methods/channelVerify.ts:13

### `Optional` api_version

api_version?: number

The API version to use. If omitted, use version 1.

Inherited from BaseRequest.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:14

### channel_id

channel_id: string

The Channel ID of the channel that provides the XRP. This is a 64-character hexadecimal string.

- Defined in packages/xrpl/src/models/methods/channelVerify.ts:18

### command

command: "channel_verify"

Overrides BaseRequest.command

- Defined in packages/xrpl/src/models/methods/channelVerify.ts:11

### `Optional` id

id?: string | number

A unique value to identify this request. The response to this request uses the same id field. This way, even if responses arrive out of order, you know which request prompted which response.

Inherited from BaseRequest.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:10

### public_key

public_key: string

The public key of the channel and the key pair that was used to create the signature, in hexadecimal or the XRP Ledger's base58 format.

- Defined in packages/xrpl/src/models/methods/channelVerify.ts:23

### signature

signature: string

The signature to verify, in hexadecimal.

- Defined in packages/xrpl/src/models/methods/channelVerify.ts:25

Generated using TypeDoc